CREATE TABLE IF NOT EXISTS `ApiKeys`
(
    `Id`             BIGINT       NOT NULL AUTO_INCREMENT,
    `Identifier`     VARCHAR(255) NOT NULL,
    `Key`            VARCHAR(255) NOT NULL,
    `CreatorId`      BIGINT       NULL,
    `CreatedAt`      DATETIME(6),
    `LastModifiedAt` DATETIME(6),
    PRIMARY KEY (`Id`),
    FOREIGN KEY (`CreatorId`) REFERENCES `Users` (`UserId`),
    CONSTRAINT UC_Identifier_Key UNIQUE (`Identifier`, `Key`),
    CONSTRAINT UC_Key UNIQUE (`Key`)
);


