import { Component, Input } from "@angular/core";
import { ServerStatistic } from "../../../../../../models/data/server.model";

@Component({
  selector: 'app-server-statistic',
  templateUrl: './server-statistic.component.html',
  styleUrls: ['./server-statistic.component.scss']
})
export class ServerStatisticComponent {
  @Input() stats?: ServerStatistic = {
    achievementsAchieved: 0,
    messageCount: 0,
    userCount: 0,
    activeUserCount: 0,
    userJoinedVoiceChannelCount: 0,
    userJoinedVoiceChannelOntime: 0,
    userJoinedGameServerCount: 0,
    userJoinedGameServerOntime: 0,
    userWarningCount: 0,
    activityScore: 0,
  };
}
